Subject: Re: bug#16070: 24.3.50; Crash, Emacs fatal error: assertion failed: c->buffer_beg <= start && end <= c->buffer_end

From: Yagnesh Raghava Yakkala <[email-masked]>
Date: Sat, 07 Dec 2013 14:53:03 +0900

Hello Eli,

On Dec 07 2013, Eli Zaretskii <[email-masked]> wrote:

>> From: Yagnesh Raghava Yakkala <[email-masked]>
>> Cc: [email-masked]
>> Date: Fri, 06 Dec 2013 21:39:52 +0900
>> 
>> > I guess this crash doesn't happen with every Org file, because I just
>> > tried and it didn't crash.  Could you post the shortest Org file that
>> > causes the crash, and also tell at what position in the file to try to
>> > cycle visibility?
>> 
>> Please see cut down version of my org file.
>> 
>> When opened attached org as follows, it automatically crashes on my system. 
>> emacs -Q test.org -eval "(set-buffer-multibyte nil)"
>
> Thanks.  That particular crash is fixed in trunk revision 115399,

Thanks and I can confirm.

> (did you also toggle buffer's multibyteness there, after visiting the
> file?).

Yes.

> If the problem is not entirely fixed, please show the recipe to reproduce
> the problem.

I can't reproduce original problem now. I think we can close this bug now.  

Thanks.,
-- 
ఎందరో మహానుభావులు అందరికి వందనములు.
YYR